"use strict";
const nodeFetch = require("node-fetch");
function fetch(...args) {
    return nodeFetch(...args)
        .then(onlyOk)
        .then(toJson);
}
exports.fetch = fetch;
function onlyOk(res) {
    if (isOkStatus(res.status)) {
        return res;
    }
    throw new Error(res);
}
function isOkStatus(status) {
    return 200 >= status && status < 400;
}
function toJson(res) {
    return res.json();
}
//# sourceMappingURL=fetch.js.map